# $Revision: 1.59 $, $Date: 2010/01/20 08:37:00 $
# Conditional build:
%bcond_without	python		# don't build python binding
#
Summary:	Data synchronization framework
Summary(pl.UTF-8):	Szkielet do synchronizacji danych
Name:		libopensync
Version:	0.39
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensync.org/download/releases/0.39/%{name}-%{version}.tar.bz2
# Source0-md5:	733211e82b61e2aa575d149dda17d475
URL:		http://www.opensync.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	check
BuildRequires:	cmake
BuildRequires:	glib2-devel >= 1:2.10
BuildRequires:	libint-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.385
BuildRequires:	sqlite3-devel >= 3.3
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python
%endif
# no such opensync plugins (yet?)
Obsoletes:	multisync-ldap
Obsoletes:	multisync-opie
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

The synchronization framework is kept very flexible and is capable of
synchronizing any type of data, including contacts, calendar, tasks,
notes and files.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z kilku wtyczek, których można używać do łączenia się z
urządzeniami, potężnego silnika synchronizującego i samego szkieletu.

Szkielet do synchronizacji jest utrzymywany jako bardzo elastyczny i
potrafiący synchronizować dowolny rodzaj danych, włącznie z
kontaktami, kalendarzem, zadaniami, notatkami i plikami.

%package devel
Summary:	Header files for opensync library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki opensync
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.10
Obsoletes:	libopensync-static
Obsoletes:	multisync-devel
Conflicts:	libopensync02-devel

%description devel
Header files for opensync library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki opensync.

%package -n python-opensync
Summary:	Python bindings for opensync library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki opensync
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-opensync
Python bindings for opensync library.

%description -n python-opensync -l pl.UTF-8
Wiązania Pythona do biblioteki opensync.

%prep
%setup -q

%build
rm cmake/modules/*Python*.cmake
mkdir build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DPYTHON_VERSION=%{py_ver} \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/libopensync1/defaults
install -d $RPM_BUILD_ROOT%{_libdir}/libopensync1/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libopensync.so.*
%dir %{_libdir}/libopensync1
%dir %{_libdir}/libopensync1/plugins
%dir %{_datadir}/libopensync1
%attr(755,root,root) %{_libdir}/libopensync1/osplugin
%{_datadir}/libopensync1/capabilities
%{_datadir}/libopensync1/defaults
%{_datadir}/libopensync1/descriptions
%{_datadir}/libopensync1/schemas

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopensync.so
%{_includedir}/libopensync1
%{_pkgconfigdir}/libopensync.pc

%dir %{_datadir}/libopensync1/cmake
%dir %{_datadir}/libopensync1/cmake/modules
%{_datadir}/libopensync1/cmake/modules/*.cmake

%if %{with python}
%files -n python-opensync
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_opensync.so
%{py_sitedir}/opensync.py
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopensync.spec,v $
Revision 1.59  2010/01/20 08:37:00  arekm
- up to 0.39

Revision 1.58  2009/12/04 00:57:03  sparky
- BR: rpm-pythonprov put in correct place

Revision 1.57  2009/12/04 00:55:00  sparky
- BR: rpm-pythonprov

Revision 1.56  2009/03/14 12:24:32  hawk
- release 7

Revision 1.55  2008/11/15 20:10:03  arekm
- rel 6; fix python module build

Revision 1.54  2008/11/15 19:13:42  arekm
- release 5

Revision 1.53  2008/11/03 13:31:27  sls
- rel. 1

Revision 1.52  2008/10/23 08:24:06  sls
- added python_wrapper_update.patch
- defaults directory is back

Revision 1.51  2008/10/21 03:06:14  sls
- osplugin is not a dir
- fixes for opensync-1.0 -> libopensync1

Revision 1.50  2008/10/21 02:45:12  sls
- more BR

Revision 1.49  2008/10/15 18:00:56  sls
- update files

Revision 1.48  2008/10/15 17:53:54  sls
- ver. 0.37 (NFY)

Revision 1.47  2008/07/21 07:14:29  arekm
- C for each other (libopensync-devel vs libopensync02-devel)

Revision 1.46  2008-06-11 15:49:05  hawk
- release 4

Revision 1.45  2008-06-01 17:57:42  patrys
- ONE of them goes to datadir, the other goes to libdir
- argh

Revision 1.44  2008-06-01 17:55:42  patrys
- need more coffee, these go to datadir

Revision 1.43  2008-06-01 17:52:37  patrys
- add and package default and plugins dirs
- rel 3

Revision 1.42  2008-05-30 01:08:22  wolvverine
- rel.2

Revision 1.41  2008-05-30 00:25:09  wolvverine
- build

Revision 1.40  2008-05-16 22:59:55  wolvverine
- rel.1

Revision 1.39  2008-03-06 08:28:53  arekm
- 0.3x series moved here; 0.2x series as libopensync02.spec

Revision 1.34.2.4  2008-03-06 08:14:47  arekm
- python and symlinks

Revision 1.34.2.3  2008-03-06 08:05:35  arekm
- up to 0.36

Revision 1.34.2.2  2008-02-10 20:04:18  paszczus
- BR: libint-devel

Revision 1.34.2.1  2007-11-11 18:17:23  glen
- 0.43, build system switched to cmake
